header {
    .inside-header {
        position: absolute;
        z-index: 100;
        width: 100%;
        max-width: 100%;

        .menu-item {
            &:not(:first-child) {
                margin-left: 10px;
            }

            a {
                position: relative;
                font-weight: 500;
                font-size: 1rem;
                text-transform: uppercase;
                letter-spacing: 0.25px;

                &::before, &::after {
                    content: "";
                    background: linear-gradient(125deg, var(--c-granate) 0%, var(--c-naranja) 50%, var(--c-amarillo) 100%);
                    position: absolute;
                    z-index: -1;
                    width: 100%;
                    height: 2px;
                    -webkit-transition: all 0.3s;
                    transition: all 0.3s;
                    opacity: 0;
                }

                &::before {
                    top: 0;
                    left: -100%;
                }

                &::after {
                    bottom: 0;
                    right: -100%;
                }

                &:hover {
                    &::before {
                        opacity: 1;
                        left: 0;
                    }

                    &::after {
                        opacity: 1;
                        right: 0;
                    }
                }
            }

            &.current-menu-item {
                a {
                    &::before {
                        opacity: 1;
                        left: 0;
                    }

                    &::after {
                        opacity: 1;
                        right: 0;
                    }
                }
            }
        }

        .navigation-stick {
            background-color: var(--c-blanco);

            .menu-item {
                a {
                    color: var(--c-negro) !important;
                }
            }
        }

        .site-logo, .sticky-navigation-logo {
            a {
                transition: all 0.3s ease-in-out;

                &:hover {
                    opacity: 0.75;
                }
            }
        }

        .sticky-navigation-logo {
            img {
                padding: 0;
                width: 60px;
                height: 60px;
                object-fit: contain;
            }
        }
    }
}

#generate-slideout-menu {
    .menu-item {
        a {
            position: relative;
            font-weight: 500;
            font-size: 1rem;
            text-transform: uppercase;
            letter-spacing: 0.25px;

            &::before {
                content: "";
                background: linear-gradient(125deg, var(--c-granate) 0%, var(--c-naranja) 50%, var(--c-amarillo) 100%);
                position: absolute;
                inset: 0;
                z-index: -1;
                width: 100%;
                height: 100%;
                -webkit-transition: all 0.3s;
                transition: all 0.3s;
                opacity: 0;
            }
        }

        &.current-menu-item {
            a {
                color: var(--c-blanco);

                &::before {
                    opacity: 1;
                }
            }
        }
    }
}

@media screen and (max-width: 768px) {
    header {
        .inside-header {
            .navigation-stick {
                .menu-toggle {
                    color: var(--c-negro);
                }
            }
            
            .site-logo {
                img {
                    width: 125px;
                }
            }

            .sticky-navigation-logo {
                img {
                    width: 45px;
                    height: 45px;
                }
            }
        }
    }
}